QGIS Application - Bug report #4655
Plugin installer fails to detect invalid repository urls
2011-12-16 02:21 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14553
Description

As of plugin_installer 1.2.1 (qgis 1.7.3) invalid repository urls are not signaled to user, although there seems to be code meant to do that.
For invalid | mean urls pointing to HTML, for example, as it was the case in a development snapshot of ggis listing
"http://plugins.qgis.org/plugins” as an official repository url.

See #4621 for the effects of such feedback lack (confusion...)

History

#1 - 2011-12-16 02:28 AM - Borys Jurgiel
- Assignee set to Borys Jurgiel

#2 - 2011-12-16 10:55 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-06-25 03:26 PM - Borys Jurgiel
- Status changed from Open to Closed
- Resolution set to fixed

Fixed in commit:86bebab and following.
